<?
if (!defined('INSTALL_MODULES')) {
	die ("You can't access this file directly...");
}

if ((!is_god($admin)) && (!is_user($user)) && (!is_admin($admin))) { 
redirect_url("".$admin_file.".php?op=modules"); }


################################################################################
$result26 = $db2->sql_query("CREATE TABLE ".$prefix_install."_fancynl_archives(
  `nid` int(11) NOT NULL auto_increment,
  `mode` int(11) NOT NULL default '0',
  `extended` int(11) NOT NULL default '0',
  `template` varchar(30) NOT NULL default '',
  `aid` varchar(30) NOT NULL default '',
  `title` varchar(80) default NULL,
  `time` datetime default NULL,
  `inhalt` text,
  `hometext` text,
  `sent` datetime default '0000-00-00 00:00:00',
  `bid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`nid`),
  KEY `mode` (`mode`),
  KEY `extended` (`extended`),
  KEY `sent` (`sent`))");
################################################################################
$result27 = $db2->sql_query("CREATE TABLE ".$prefix_install."_fancynl_config(
  `config_name` varchar(255) NOT NULL default '',
  `config_value` text NOT NULL,
   PRIMARY KEY  (`config_name`))");

$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('version_number', '2.5.1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_archive', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_calc_news', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_num_news', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_calc_dowl', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_num_dowl', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_calc_webl', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_num_webl', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_calc_foru', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_num_foru', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_show_stat', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_downloadstable', 'nsngd')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_sign', '')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_archive_paging', '20')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_bannersystem', 'NSNBannerAds.php')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_randombanner', '0')");
$db2->sql_query("INSERT INTO ".$prefix_install."_fancynl_config VALUES ('fancynl_queued', '0')");
################################################################################


?>